package com.ruoyi.ie.service;


import com.ruoyi.ie.domain.Papers;
import com.ruoyi.ie.domain.Questions;

import java.util.List;
import java.util.Map;

/**
 * 试卷信息Service接口
 *
 * @author mingxue
 * @date 2021-06-20
 */
public interface IPapersService {
    /**
     * 查询试卷信息
     *
     * @param id 试卷信息ID
     * @return 试卷信息
     */
    public Papers selectPapersById(Long id);

    /**
     * 查询试卷信息列表
     *
     * @param papers 试卷信息
     * @return 试卷信息集合
     */
    public List<Papers> selectPapersList(Papers papers);

    List<Papers> selectMyPapersList(Map map);

    /**
     * 新增试卷信息
     *
     * @param papers 试卷信息
     * @return 结果
     */
    public int insertPapers(Papers papers);

    /**
     * 修改试卷信息
     *
     * @param papers 试卷信息
     * @return 结果
     */
    public int updatePapers(Papers papers);

    /**
     * 批量删除试卷信息
     *
     * @param ids 需要删除的试卷信息ID
     * @return 结果
     */
    public int deletePapersByIds(Long[] ids);

    /**
     * 删除试卷信息信息
     *
     * @param id 试卷信息ID
     * @return 结果
     */
    public int deletePapersById(Long id);

    /**
     * 试卷问题
     *
     * @param paperId
     * @return
     */
    public List<Questions> listQuestionsByPaperId(Long paperId);

    /**
     * 根据用户的收藏找出试卷
     * @param papers
     * @return
     */
    public List<Papers> selectPapersListFromFavorites(Papers papers);

    public void fillCollectInfo(String customerCode, List<Papers> papers);

    public Map getObjectivePaperStatistic(Integer subjectId);
}
